------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8
CppScriptMgr:SetViewPosByCell(39, 34)

-- 设置摄像机指向位置(网格坐标)
local Gongsun = CppScriptMgr:AddPlayer(142,39 ,31, "Gongsun")
Gongsun:SetZoomPercent(120);
Gongsun:SetDir(0)
local hero = CppScriptMgr:QueryHero()
local heroname = hero:GetName()
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end
hero:SetPos(41,40)
hero:SetDir(4)
hero:SetZoomPercent(120);

local playerMonster1 = CppScriptMgr:AddSimplePlayer(10670,28 ,32, "EvilDogfaceCorpse")
local playerMonster2 = CppScriptMgr:AddSimplePlayer(10670,30 ,39, "EvilDogfaceCorpse")
local playerMonster3 = CppScriptMgr:AddSimplePlayer(10670,38 ,44, "EvilDogfaceCorpse")
local playerMonster4 = CppScriptMgr:AddSimplePlayer(10670,47 ,43, "EvilDogfaceCorpse")
local playerMonster5 = CppScriptMgr:AddSimplePlayer(10670,38 ,36, "EvilDogfaceCorpse")
local playerMonster6 = CppScriptMgr:AddSimplePlayer(10670,44 ,31, "EvilDogfaceCorpse")
local playerMonster7 = CppScriptMgr:AddSimplePlayer(10670,50 ,38, "EvilDogfaceCorpse")
-- local playerMonster8 = CppScriptMgr:AddPlayer(10670,188 ,170, "EvilDogfaceCorpse")
-- playerMonster1:SetDir(1)
-- playerMonster2:SetDir(1)
-- playerMonster3:SetDir(1)
-- playerMonster4:SetDir(1)
-- playerMonster5:SetDir(1)
-- playerMonster6:SetDir(1)
-- playerMonster7:SetDir(1)
-- playerMonster8:SetDir(1)
CppScriptMgr:WaitMilSec(500)


Gongsun:Say("Good. You are stronger!", 2000)
-- CppScriptMgr:NpcCallOut("    不错不错，我的心思没白费，你果然变强了不少.\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(2000)
hero:Say("Cut it out! Let`s fight!", 2000)
-- CppScriptMgr:NpcCallOut("    废话少说，你和我好好较量一番！\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)
Gongsun:Say("Take it easy. Save your grudge for next time!", 2000)
-- CppScriptMgr:NpcCallOut("    年轻人不要着急，慢慢来，留着你的恨，下一次再和我较量吧！好戏还在后头呢！哈哈哈哈！\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc189", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("ssch_wlhd_fir", 39, 31)
CppScriptMgr:WaitMilSec(500)

Gongsun:SetPos(1000,1000)
hero:Say("What a wimp! I will uproot all Evils after I fully inherit the power of Twisted Note!", 2000)
-- CppScriptMgr:NpcCallOut("    什么Evil将军，根本就是个无赖！等彻底完成Twisted Note的觉醒，一定将Evil斩草除根！\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1000)
